Skip to main content
POST
/
api
/
v
{version}
/
internal
/
api-keys
/
validate
cURL
curl --request POST \
  --url https://identity.payven.com.tr/api/v{version}/internal/api-keys/validate \
  --header 'Content-Type: application/json' \
  --data '
{
  "clientId": "<string>",
  "clientSecret": "<string>"
}
'
{
  "message": "<string>",
  "isSuccess": true,
  "code": "<string>",
  "data": {
    "apiKeyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "tenantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "tenantSlug": "<string>",
    "merchantId": "<string>",
    "planCode": "<string>",
    "planName": "<string>",
    "dailyTransactionLimit": 123,
    "monthlyTransactionLimit": 123,
    "rateLimitPerSecond": 123,
    "dailyTransactionCount": 123,
    "monthlyTransactionCount": 123,
    "allowedIps": "<string>",
    "features": [
      "<string>"
    ],
    "expiresAt": "2023-11-07T05:31:56Z",
    "isActive": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.payven.com.tr/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

version
string
required

Body

clientId
string | null
clientSecret
string | null

Response

OK

message
string | null
isSuccess
boolean
code
string | null
data
object